import { TickHandler, ApplicationInstance, ResizeHandler, InteractionEvent, InteractionHandler } from 'sketch-loop';
export { Application, InteractionEvent, InteractionHandler, ResizeEvent, ResizeHandler, TickEvent, TickHandler } from 'sketch-loop';

type InteractionActionParams = Parameters<InteractionHandler>[0];
interface InteractionParams extends InteractionActionParams {
    type: InteractionEvent['type'];
}
type InteractionAction = (arg: InteractionParams) => void;
type Props = {
    onTick: TickHandler<ApplicationInstance>;
    onResize?: ResizeHandler<ApplicationInstance>;
    onInteraction?: InteractionAction;
};
declare function SketchLoop({ onTick, onResize, onInteraction }: Props): JSX.Element;

export { InteractionAction, Props, SketchLoop };
